varying mediump vec4 v_uvBaseTopAlpha;
varying mediump vec2 v_uvNoise;

uniform sampler2D u_texture;   // noise
uniform sampler2D u_texture1;  // base
uniform sampler2D u_texture2;  // top

void main()
{
	vec3 offset = texture2D(u_texture, v_uvNoise).xyz;
	offset = (offset * 2.0 - 1.0) * vec3(0.025, 0.05, 0.0);

	vec4 colorBase = texture2D(u_texture1, v_uvBaseTopAlpha.xy + offset.xz);
	vec4 colorTop = texture2D(u_texture2, v_uvBaseTopAlpha.xz + offset.yz);

	gl_FragColor.rgb = ((colorBase.rgb * colorBase.a) + (colorTop.rgb * colorTop.a)) * v_uvBaseTopAlpha.w;
	gl_FragColor.a = (colorBase.a + colorTop.a)* v_uvBaseTopAlpha.w;
}