varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform float  u_time;

uniform vec4 u_interval; //pos u, pos v, size u, size v
uniform vec4 u_displacement;// base speed u, base speed v, alpha texture speed u alpha texture speed v

void main()
{	
	vec2 uv = v_texCoord;

	//***** uncomment this to animate in F.E.*****
	//u_displacement *= u_time;
	//***********

	//Base displacement
	uv.x += u_displacement.x;
	uv.y += u_displacement.y;

	//get base texture color
	vec4 baseColor = texture2D(u_texture, uv);

	//Interval
	vec2 intervalPos;
	intervalPos.x = u_interval.x + u_displacement.z;
	intervalPos.y = u_interval.y + u_displacement.w;
	vec2 intervalSize;
	intervalSize.x = u_interval.z;
	intervalSize.y = u_interval.w;
	
	//UV Alpha texture
	vec2 uvAlpha;
	uvAlpha.x = intervalPos.x + (uv.x * intervalSize.x);
	uvAlpha.y = intervalPos.y + (uv.y * intervalSize.y);
	
	//get alpha texture color
	vec4 alphaColor = texture2D(u_texture1, uvAlpha);

	//alpha texture color to gray scale
	float gsAlphaColor = dot(alphaColor.rgb, vec3(0.299, 0.587, 0.114));

	gl_FragColor.rgb = baseColor.rgb;
	gl_FragColor.a = baseColor.a * gsAlphaColor;
}
