varying lowp vec4 v_color;
varying lowp vec4 v_outlineColor;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;

void main() {	
	mediump float packedOutlineAlpha = texture2D(u_texture, v_texCoord).a;
	lowp float colorFactor = max(packedOutlineAlpha - 0.5, 0.0) * 2.0;
	lowp float outlineFactor = 1.0 - colorFactor;
	lowp float alphaFactor = min(2.0 * packedOutlineAlpha, 1.0);
	
	gl_FragColor.rgba = v_color * colorFactor + v_outlineColor * outlineFactor;
	gl_FragColor.a *= alphaFactor;
}