varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform float  u_time;

uniform vec4 u_interval; //pos u, pos v, size u, size v
uniform vec4 u_displacement;// speed u, speed v, direction u, direction v

void main()
{	
	vec2 uv = v_texCoord;

	//***** uncomment this to animate in F.E.*****
	//u_displacement.x *= u_time;
	//u_displacement.y *= u_time;
	//***********

	//Base displacement
	//uv.x += u_displacement.x;
	//uv.y += u_displacement.y;

	//get base texture color
	vec4 baseColor = texture2D(u_texture, uv);
	
	//rotation
	vec2 rotation = normalize(vec2(u_displacement.z, u_displacement.w));
	vec2 uvRotated;
	uvRotated.x = uv.x; // rotation.x * uv.x + rotation.y * uv.y;
	uvRotated.y = uv.y;// rotation.x * uv.y + rotation.x * uv.x;

	//Interval
	vec2 intervalPos;
	intervalPos.x = u_interval.x + u_displacement.x;
	intervalPos.y = u_interval.y + u_displacement.y;
	vec2 intervalSize;
	intervalSize.x = u_interval.z;
	intervalSize.y = u_interval.w;
	
	//UV Gradient
	vec2 uvGradient;
	uvGradient.x = intervalPos.x + (uvRotated.x * intervalSize.x);
	uvGradient.y = intervalPos.y + (uvRotated.y * intervalSize.y);
	
	//get alpha texture color
	vec4 gradientColor = texture2D(u_texture1, uvGradient);

	gl_FragColor.rgb = baseColor.rgb + gradientColor.rgb;
	gl_FragColor.a = baseColor.a * gradientColor.a;
}
