varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform float  u_time;

uniform vec4 u_interval; //pos u, pov, size u, size v
uniform vec4 u_displacement;// base speed u, base speed v, gradient speed u

void main()
{	
	vec2 uv = v_texCoord;

	//***** uncomment this to animate in F.E.*****
	//u_displacement *= u_time;
	//***********

	//Base displacement
	uv.x += u_displacement.x;
	uv.y += u_displacement.y;

	//get base texture color
	vec4 baseColor = texture2D(u_texture, uv);
	
	//get grey scale color
	lowp float gsColor = dot(baseColor.rgb, vec3(0.299, 0.587, 0.114));

	//Interval
	vec2 intervalPos;
	intervalPos.x = u_interval.x + u_displacement.z;
	intervalPos.y = u_interval.y;
	vec2 intervalSize;
	intervalSize.x = u_interval.z;
	intervalSize.y = u_interval.w;
	
	//UV Gradient
	vec2 uvGradient;
	uvGradient.x = intervalPos.x + (gsColor * intervalSize.x);
	uvGradient.y = intervalPos.y + (intervalSize.y * uvGradient.x);
	
	//get gradient texture color
	vec4 gradientColor = texture2D(u_texture1, uvGradient);

	gl_FragColor.rgb = gradientColor.rgb;
	gl_FragColor.a = baseColor.a * gradientColor.a;
}
