varying lowp vec4 v_color;
varying highp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform highp vec4 u_params;


void main()
{
	float aspect = u_params.w;
	highp vec2 centre = vec2(u_params.x * aspect, u_params.y);
	highp float radius = u_params.z * aspect;
	gl_FragColor = v_color * texture2D(u_texture, v_texCoord);
	
	highp vec2 newTextCoord = v_texCoord;
	newTextCoord.x = v_texCoord.x * aspect;

	highp float dist = length(newTextCoord - centre);
	gl_FragColor.a = step(radius, dist);
}